/*
 * @Author: Badguy
 * @Date: 2022-04-11 11:05:04
 * @LastEditTime: 2022-04-14 13:32:01
 * @LastEditors: your name
 * @Description: 标段树
 * have a nice day!
 */

import { translateDataToTreeAll } from '@/utils/validate'
import { GetSections } from '@/api/section'

export default {
  data() {
    return {
      sectionTree: [
        {
          SessionId: -1,
          SessionName: '标段1',
          UpSessionId: -2,
          disabled: true,
          children: []
        }
      ],
      sectionList: [],
      checkedSections: [],
      sectionCheckedKeys: []
    }
  },
  mounted() {
    this.getSectionTree()
  },
  methods: {
    sectionCheckChangeHandler(arr) {
      this.checkedSections = arr.filter(item => item.SessionId !== -1)
      // console.log(this.checkedSections)
    },
    async getSectionTree() {
      try {
        const result = await GetSections()
        if (result.code === 0 && result.returnData.length) {
          const obj = {
            SessionId: -1,
            SessionName: '标段',
            UpSessionId: -2,
            disabled: true,
            children: translateDataToTreeAll(result.returnData, 'UpSessionId', 'SessionId')
          }
          this.sectionList = result.returnData
          this.sectionTree = [obj]
        }
      } catch (error) {
        console.log('出错了', error)
      }
    }
  }
}
